#!/usr/bin/python
# -*- coding: utf-8 -*-
# @version        : 1.0
# @Create Time    : 2025/04/03 10:30
# @File           : project_detect_file.py
# @IDE            : PyCharm
# @desc           : 项目推理集合图片信息

from fastapi import Depends, Query
from core.dependencies import Paging, QueryParams


class ProjectDetectFileParams(QueryParams):
    def __init__(
            self,
            detect_id: int | None = Query(0, title="推理集合id"),
            params: Paging = Depends()):
        super().__init__(params)
        self.detect_id = detect_id
